import { jsx as _jsx } from "react/jsx-runtime";
import { DiffEditor as MonacoDiffEditor } from '@monaco-editor/react';
import { DEFAULT_SETTINGS } from './default-settings.js';
import { use_init_dolphindb_monaco, use_dolphindb_monaco_options } from './shared.js';
export function MonacoDolphinDBDiffEditor({ onMonacoInit, beforeMonacoInit, onMonacoInitFailed, options, dolphinDBLanguageOptions, ...restProps }) {
    use_init_dolphindb_monaco({
        beforeMonacoInit,
        onMonacoInit,
        onMonacoInitFailed,
        dolphinDBLanguageOptions
    });
    use_dolphindb_monaco_options(dolphinDBLanguageOptions);
    return _jsx(MonacoDiffEditor, { language: 'dolphindb', options: {
            ...DEFAULT_SETTINGS,
            ...options
        }, ...restProps });
}
//# sourceMappingURL=diff-editor.js.map